﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace xamDataGridFieldChooserContextMenu
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            table = new DataTable();
            table.Columns.Add("Dosage", typeof(Double));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(12, "Indocinnnnnnn", "David", DateTime.Now);
            table.Rows.Add(34, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(3, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(45, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(99, "Dilantin", "Melanie", DateTime.Now);

            xamDataGrid1.DataContext = table.DefaultView;

        }

        private void CheckBox_Click(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.FieldLayouts[0].Fields[0].Visibility == System.Windows.Visibility.Collapsed)
                xamDataGrid1.FieldLayouts[0].Fields[0].Visibility = System.Windows.Visibility.Visible;
            else
                xamDataGrid1.FieldLayouts[0].Fields[0].Visibility = System.Windows.Visibility.Collapsed;
        }

        private void CheckBox_Click1(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.FieldLayouts[0].Fields[1].Visibility == System.Windows.Visibility.Collapsed)
                xamDataGrid1.FieldLayouts[0].Fields[1].Visibility = System.Windows.Visibility.Visible;
            else
                xamDataGrid1.FieldLayouts[0].Fields[1].Visibility = System.Windows.Visibility.Collapsed;
        }

        private void CheckBox_Click2(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.FieldLayouts[0].Fields[2].Visibility == System.Windows.Visibility.Collapsed)
                xamDataGrid1.FieldLayouts[0].Fields[2].Visibility = System.Windows.Visibility.Visible;
            else
                xamDataGrid1.FieldLayouts[0].Fields[2].Visibility = System.Windows.Visibility.Collapsed;
        }

        private void CheckBox_Click3(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.FieldLayouts[0].Fields[3].Visibility == System.Windows.Visibility.Collapsed)
                xamDataGrid1.FieldLayouts[0].Fields[3].Visibility = System.Windows.Visibility.Visible;
            else
                xamDataGrid1.FieldLayouts[0].Fields[3].Visibility = System.Windows.Visibility.Collapsed;
        }
    }
}
